IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/72
Addresses2^56
/64 networksPart of one
- Network
fe80:c25b:dd:ddea:4100::/72- First address
fe80:c25b:dd:ddea:4100::- Last address
fe80:c25b:dd:ddea:41ff:ffff:ffff:ffff- Addresses
- 72,057,594,037,927,936 (2^56)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
fe80:c25b:00dd:ddea:4100:0000:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
1.4.a.e.d.d.d.d.0.0.b.5.2.c.0.8.e.f.ip6.arpa
Split into smaller subnets
fe80:c25b:dd:ddea:4100::/72 makes 256 subnets of /80.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25b:dd:ddea:4100::/80 | fe80:c25b:dd:ddea:4100:ffff:ffff:ffff |
| 2 | fe80:c25b:dd:ddea:4101::/80 | fe80:c25b:dd:ddea:4101:ffff:ffff:ffff |
| 3 | fe80:c25b:dd:ddea:4102::/80 | fe80:c25b:dd:ddea:4102:ffff:ffff:ffff |
| 4 | fe80:c25b:dd:ddea:4103::/80 | fe80:c25b:dd:ddea:4103:ffff:ffff:ffff |
| 5 | fe80:c25b:dd:ddea:4104::/80 | fe80:c25b:dd:ddea:4104:ffff:ffff:ffff |
| 6 | fe80:c25b:dd:ddea:4105::/80 | fe80:c25b:dd:ddea:4105:ffff:ffff:ffff |
| 7 | fe80:c25b:dd:ddea:4106::/80 | fe80:c25b:dd:ddea:4106:ffff:ffff:ffff |
| 8 | fe80:c25b:dd:ddea:4107::/80 | fe80:c25b:dd:ddea:4107:ffff:ffff:ffff |
| 9 | fe80:c25b:dd:ddea:4108::/80 | fe80:c25b:dd:ddea:4108:ffff:ffff:ffff |
| 10 | fe80:c25b:dd:ddea:4109::/80 | fe80:c25b:dd:ddea:4109:ffff:ffff:ffff |
| 11 | fe80:c25b:dd:ddea:410a::/80 | fe80:c25b:dd:ddea:410a:ffff:ffff:ffff |
| 12 | fe80:c25b:dd:ddea:410b::/80 | fe80:c25b:dd:ddea:410b:ffff:ffff:ffff |
| 13 | fe80:c25b:dd:ddea:410c::/80 | fe80:c25b:dd:ddea:410c:ffff:ffff:ffff |
| 14 | fe80:c25b:dd:ddea:410d::/80 | fe80:c25b:dd:ddea:410d:ffff:ffff:ffff |
| 15 | fe80:c25b:dd:ddea:410e::/80 | fe80:c25b:dd:ddea:410e:ffff:ffff:ffff |
| 16 | fe80:c25b:dd:ddea:410f::/80 | fe80:c25b:dd:ddea:410f:ffff:ffff:ffff |
| 17 | fe80:c25b:dd:ddea:4110::/80 | fe80:c25b:dd:ddea:4110:ffff:ffff:ffff |
| 18 | fe80:c25b:dd:ddea:4111::/80 | fe80:c25b:dd:ddea:4111:ffff:ffff:ffff |
| 19 | fe80:c25b:dd:ddea:4112::/80 | fe80:c25b:dd:ddea:4112:ffff:ffff:ffff |
| 20 | fe80:c25b:dd:ddea:4113::/80 | fe80:c25b:dd:ddea:4113:ffff:ffff:ffff |
| 21 | fe80:c25b:dd:ddea:4114::/80 | fe80:c25b:dd:ddea:4114:ffff:ffff:ffff |
| 22 | fe80:c25b:dd:ddea:4115::/80 | fe80:c25b:dd:ddea:4115:ffff:ffff:ffff |
| 23 | fe80:c25b:dd:ddea:4116::/80 | fe80:c25b:dd:ddea:4116:ffff:ffff:ffff |
| 24 | fe80:c25b:dd:ddea:4117::/80 | fe80:c25b:dd:ddea:4117:ffff:ffff:ffff |
| 25 | fe80:c25b:dd:ddea:4118::/80 | fe80:c25b:dd:ddea:4118:ffff:ffff:ffff |
| 26 | fe80:c25b:dd:ddea:4119::/80 | fe80:c25b:dd:ddea:4119:ffff:ffff:ffff |
| 27 | fe80:c25b:dd:ddea:411a::/80 | fe80:c25b:dd:ddea:411a:ffff:ffff:ffff |
| 28 | fe80:c25b:dd:ddea:411b::/80 | fe80:c25b:dd:ddea:411b:ffff:ffff:ffff |
| 29 | fe80:c25b:dd:ddea:411c::/80 | fe80:c25b:dd:ddea:411c:ffff:ffff:ffff |
| 30 | fe80:c25b:dd:ddea:411d::/80 | fe80:c25b:dd:ddea:411d:ffff:ffff:ffff |
| 31 | fe80:c25b:dd:ddea:411e::/80 | fe80:c25b:dd:ddea:411e:ffff:ffff:ffff |
| 32 | fe80:c25b:dd:ddea:411f::/80 | fe80:c25b:dd:ddea:411f:ffff:ffff:ffff |
| 33 | fe80:c25b:dd:ddea:4120::/80 | fe80:c25b:dd:ddea:4120:ffff:ffff:ffff |
| 34 | fe80:c25b:dd:ddea:4121::/80 | fe80:c25b:dd:ddea:4121:ffff:ffff:ffff |
| 35 | fe80:c25b:dd:ddea:4122::/80 | fe80:c25b:dd:ddea:4122:ffff:ffff:ffff |
| 36 | fe80:c25b:dd:ddea:4123::/80 | fe80:c25b:dd:ddea:4123:ffff:ffff:ffff |
| 37 | fe80:c25b:dd:ddea:4124::/80 | fe80:c25b:dd:ddea:4124:ffff:ffff:ffff |
| 38 | fe80:c25b:dd:ddea:4125::/80 | fe80:c25b:dd:ddea:4125:ffff:ffff:ffff |
| 39 | fe80:c25b:dd:ddea:4126::/80 | fe80:c25b:dd:ddea:4126:ffff:ffff:ffff |
| 40 | fe80:c25b:dd:ddea:4127::/80 | fe80:c25b:dd:ddea:4127:ffff:ffff:ffff |
| 41 | fe80:c25b:dd:ddea:4128::/80 | fe80:c25b:dd:ddea:4128:ffff:ffff:ffff |
| 42 | fe80:c25b:dd:ddea:4129::/80 | fe80:c25b:dd:ddea:4129:ffff:ffff:ffff |
| 43 | fe80:c25b:dd:ddea:412a::/80 | fe80:c25b:dd:ddea:412a:ffff:ffff:ffff |
| 44 | fe80:c25b:dd:ddea:412b::/80 | fe80:c25b:dd:ddea:412b:ffff:ffff:ffff |
| 45 | fe80:c25b:dd:ddea:412c::/80 | fe80:c25b:dd:ddea:412c:ffff:ffff:ffff |
| 46 | fe80:c25b:dd:ddea:412d::/80 | fe80:c25b:dd:ddea:412d:ffff:ffff:ffff |
| 47 | fe80:c25b:dd:ddea:412e::/80 | fe80:c25b:dd:ddea:412e:ffff:ffff:ffff |
| 48 | fe80:c25b:dd:ddea:412f::/80 | fe80:c25b:dd:ddea:412f:ffff:ffff:ffff |
| 49 | fe80:c25b:dd:ddea:4130::/80 | fe80:c25b:dd:ddea:4130:ffff:ffff:ffff |
| 50 | fe80:c25b:dd:ddea:4131::/80 | fe80:c25b:dd:ddea:4131:ffff:ffff:ffff |
| 51 | fe80:c25b:dd:ddea:4132::/80 | fe80:c25b:dd:ddea:4132:ffff:ffff:ffff |
| 52 | fe80:c25b:dd:ddea:4133::/80 | fe80:c25b:dd:ddea:4133:ffff:ffff:ffff |
| 53 | fe80:c25b:dd:ddea:4134::/80 | fe80:c25b:dd:ddea:4134:ffff:ffff:ffff |
| 54 | fe80:c25b:dd:ddea:4135::/80 | fe80:c25b:dd:ddea:4135:ffff:ffff:ffff |
| 55 | fe80:c25b:dd:ddea:4136::/80 | fe80:c25b:dd:ddea:4136:ffff:ffff:ffff |
| 56 | fe80:c25b:dd:ddea:4137::/80 | fe80:c25b:dd:ddea:4137:ffff:ffff:ffff |
| 57 | fe80:c25b:dd:ddea:4138::/80 | fe80:c25b:dd:ddea:4138:ffff:ffff:ffff |
| 58 | fe80:c25b:dd:ddea:4139::/80 | fe80:c25b:dd:ddea:4139:ffff:ffff:ffff |
| 59 | fe80:c25b:dd:ddea:413a::/80 | fe80:c25b:dd:ddea:413a:ffff:ffff:ffff |
| 60 | fe80:c25b:dd:ddea:413b::/80 | fe80:c25b:dd:ddea:413b:ffff:ffff:ffff |
| 61 | fe80:c25b:dd:ddea:413c::/80 | fe80:c25b:dd:ddea:413c:ffff:ffff:ffff |
| 62 | fe80:c25b:dd:ddea:413d::/80 | fe80:c25b:dd:ddea:413d:ffff:ffff:ffff |
| 63 | fe80:c25b:dd:ddea:413e::/80 | fe80:c25b:dd:ddea:413e:ffff:ffff:ffff |
| 64 | fe80:c25b:dd:ddea:413f::/80 | fe80:c25b:dd:ddea:413f:ffff:ffff:ffff |
| 65 | fe80:c25b:dd:ddea:4140::/80 | fe80:c25b:dd:ddea:4140:ffff:ffff:ffff |
| 66 | fe80:c25b:dd:ddea:4141::/80 | fe80:c25b:dd:ddea:4141:ffff:ffff:ffff |
| 67 | fe80:c25b:dd:ddea:4142::/80 | fe80:c25b:dd:ddea:4142:ffff:ffff:ffff |
| 68 | fe80:c25b:dd:ddea:4143::/80 | fe80:c25b:dd:ddea:4143:ffff:ffff:ffff |
| 69 | fe80:c25b:dd:ddea:4144::/80 | fe80:c25b:dd:ddea:4144:ffff:ffff:ffff |
| 70 | fe80:c25b:dd:ddea:4145::/80 | fe80:c25b:dd:ddea:4145:ffff:ffff:ffff |
| 71 | fe80:c25b:dd:ddea:4146::/80 | fe80:c25b:dd:ddea:4146:ffff:ffff:ffff |
| 72 | fe80:c25b:dd:ddea:4147::/80 | fe80:c25b:dd:ddea:4147:ffff:ffff:ffff |
| 73 | fe80:c25b:dd:ddea:4148::/80 | fe80:c25b:dd:ddea:4148:ffff:ffff:ffff |
| 74 | fe80:c25b:dd:ddea:4149::/80 | fe80:c25b:dd:ddea:4149:ffff:ffff:ffff |
| 75 | fe80:c25b:dd:ddea:414a::/80 | fe80:c25b:dd:ddea:414a:ffff:ffff:ffff |
| 76 | fe80:c25b:dd:ddea:414b::/80 | fe80:c25b:dd:ddea:414b:ffff:ffff:ffff |
| 77 | fe80:c25b:dd:ddea:414c::/80 | fe80:c25b:dd:ddea:414c:ffff:ffff:ffff |
| 78 | fe80:c25b:dd:ddea:414d::/80 | fe80:c25b:dd:ddea:414d:ffff:ffff:ffff |
| 79 | fe80:c25b:dd:ddea:414e::/80 | fe80:c25b:dd:ddea:414e:ffff:ffff:ffff |
| 80 | fe80:c25b:dd:ddea:414f::/80 | fe80:c25b:dd:ddea:414f:ffff:ffff:ffff |
| 81 | fe80:c25b:dd:ddea:4150::/80 | fe80:c25b:dd:ddea:4150:ffff:ffff:ffff |
| 82 | fe80:c25b:dd:ddea:4151::/80 | fe80:c25b:dd:ddea:4151:ffff:ffff:ffff |
| 83 | fe80:c25b:dd:ddea:4152::/80 | fe80:c25b:dd:ddea:4152:ffff:ffff:ffff |
| 84 | fe80:c25b:dd:ddea:4153::/80 | fe80:c25b:dd:ddea:4153:ffff:ffff:ffff |
| 85 | fe80:c25b:dd:ddea:4154::/80 | fe80:c25b:dd:ddea:4154:ffff:ffff:ffff |
| 86 | fe80:c25b:dd:ddea:4155::/80 | fe80:c25b:dd:ddea:4155:ffff:ffff:ffff |
| 87 | fe80:c25b:dd:ddea:4156::/80 | fe80:c25b:dd:ddea:4156:ffff:ffff:ffff |
| 88 | fe80:c25b:dd:ddea:4157::/80 | fe80:c25b:dd:ddea:4157:ffff:ffff:ffff |
| 89 | fe80:c25b:dd:ddea:4158::/80 | fe80:c25b:dd:ddea:4158:ffff:ffff:ffff |
| 90 | fe80:c25b:dd:ddea:4159::/80 | fe80:c25b:dd:ddea:4159:ffff:ffff:ffff |
| 91 | fe80:c25b:dd:ddea:415a::/80 | fe80:c25b:dd:ddea:415a:ffff:ffff:ffff |
| 92 | fe80:c25b:dd:ddea:415b::/80 | fe80:c25b:dd:ddea:415b:ffff:ffff:ffff |
| 93 | fe80:c25b:dd:ddea:415c::/80 | fe80:c25b:dd:ddea:415c:ffff:ffff:ffff |
| 94 | fe80:c25b:dd:ddea:415d::/80 | fe80:c25b:dd:ddea:415d:ffff:ffff:ffff |
| 95 | fe80:c25b:dd:ddea:415e::/80 | fe80:c25b:dd:ddea:415e:ffff:ffff:ffff |
| 96 | fe80:c25b:dd:ddea:415f::/80 | fe80:c25b:dd:ddea:415f:ffff:ffff:ffff |
| 97 | fe80:c25b:dd:ddea:4160::/80 | fe80:c25b:dd:ddea:4160:ffff:ffff:ffff |
| 98 | fe80:c25b:dd:ddea:4161::/80 | fe80:c25b:dd:ddea:4161:ffff:ffff:ffff |
| 99 | fe80:c25b:dd:ddea:4162::/80 | fe80:c25b:dd:ddea:4162:ffff:ffff:ffff |
| 100 | fe80:c25b:dd:ddea:4163::/80 | fe80:c25b:dd:ddea:4163:ffff:ffff:ffff |
| 101 | fe80:c25b:dd:ddea:4164::/80 | fe80:c25b:dd:ddea:4164:ffff:ffff:ffff |
| 102 | fe80:c25b:dd:ddea:4165::/80 | fe80:c25b:dd:ddea:4165:ffff:ffff:ffff |
| 103 | fe80:c25b:dd:ddea:4166::/80 | fe80:c25b:dd:ddea:4166:ffff:ffff:ffff |
| 104 | fe80:c25b:dd:ddea:4167::/80 | fe80:c25b:dd:ddea:4167:ffff:ffff:ffff |
| 105 | fe80:c25b:dd:ddea:4168::/80 | fe80:c25b:dd:ddea:4168:ffff:ffff:ffff |
| 106 | fe80:c25b:dd:ddea:4169::/80 | fe80:c25b:dd:ddea:4169:ffff:ffff:ffff |
| 107 | fe80:c25b:dd:ddea:416a::/80 | fe80:c25b:dd:ddea:416a:ffff:ffff:ffff |
| 108 | fe80:c25b:dd:ddea:416b::/80 | fe80:c25b:dd:ddea:416b:ffff:ffff:ffff |
| 109 | fe80:c25b:dd:ddea:416c::/80 | fe80:c25b:dd:ddea:416c:ffff:ffff:ffff |
| 110 | fe80:c25b:dd:ddea:416d::/80 | fe80:c25b:dd:ddea:416d:ffff:ffff:ffff |
| 111 | fe80:c25b:dd:ddea:416e::/80 | fe80:c25b:dd:ddea:416e:ffff:ffff:ffff |
| 112 | fe80:c25b:dd:ddea:416f::/80 | fe80:c25b:dd:ddea:416f:ffff:ffff:ffff |
| 113 | fe80:c25b:dd:ddea:4170::/80 | fe80:c25b:dd:ddea:4170:ffff:ffff:ffff |
| 114 | fe80:c25b:dd:ddea:4171::/80 | fe80:c25b:dd:ddea:4171:ffff:ffff:ffff |
| 115 | fe80:c25b:dd:ddea:4172::/80 | fe80:c25b:dd:ddea:4172:ffff:ffff:ffff |
| 116 | fe80:c25b:dd:ddea:4173::/80 | fe80:c25b:dd:ddea:4173:ffff:ffff:ffff |
| 117 | fe80:c25b:dd:ddea:4174::/80 | fe80:c25b:dd:ddea:4174:ffff:ffff:ffff |
| 118 | fe80:c25b:dd:ddea:4175::/80 | fe80:c25b:dd:ddea:4175:ffff:ffff:ffff |
| 119 | fe80:c25b:dd:ddea:4176::/80 | fe80:c25b:dd:ddea:4176:ffff:ffff:ffff |
| 120 | fe80:c25b:dd:ddea:4177::/80 | fe80:c25b:dd:ddea:4177:ffff:ffff:ffff |
| 121 | fe80:c25b:dd:ddea:4178::/80 | fe80:c25b:dd:ddea:4178:ffff:ffff:ffff |
| 122 | fe80:c25b:dd:ddea:4179::/80 | fe80:c25b:dd:ddea:4179:ffff:ffff:ffff |
| 123 | fe80:c25b:dd:ddea:417a::/80 | fe80:c25b:dd:ddea:417a:ffff:ffff:ffff |
| 124 | fe80:c25b:dd:ddea:417b::/80 | fe80:c25b:dd:ddea:417b:ffff:ffff:ffff |
| 125 | fe80:c25b:dd:ddea:417c::/80 | fe80:c25b:dd:ddea:417c:ffff:ffff:ffff |
| 126 | fe80:c25b:dd:ddea:417d::/80 | fe80:c25b:dd:ddea:417d:ffff:ffff:ffff |
| 127 | fe80:c25b:dd:ddea:417e::/80 | fe80:c25b:dd:ddea:417e:ffff:ffff:ffff |
| 128 | fe80:c25b:dd:ddea:417f::/80 | fe80:c25b:dd:ddea:417f:ffff:ffff:ffff |
| 129 | fe80:c25b:dd:ddea:4180::/80 | fe80:c25b:dd:ddea:4180:ffff:ffff:ffff |
| 130 | fe80:c25b:dd:ddea:4181::/80 | fe80:c25b:dd:ddea:4181:ffff:ffff:ffff |
| 131 | fe80:c25b:dd:ddea:4182::/80 | fe80:c25b:dd:ddea:4182:ffff:ffff:ffff |
| 132 | fe80:c25b:dd:ddea:4183::/80 | fe80:c25b:dd:ddea:4183:ffff:ffff:ffff |
| 133 | fe80:c25b:dd:ddea:4184::/80 | fe80:c25b:dd:ddea:4184:ffff:ffff:ffff |
| 134 | fe80:c25b:dd:ddea:4185::/80 | fe80:c25b:dd:ddea:4185:ffff:ffff:ffff |
| 135 | fe80:c25b:dd:ddea:4186::/80 | fe80:c25b:dd:ddea:4186:ffff:ffff:ffff |
| 136 | fe80:c25b:dd:ddea:4187::/80 | fe80:c25b:dd:ddea:4187:ffff:ffff:ffff |
| 137 | fe80:c25b:dd:ddea:4188::/80 | fe80:c25b:dd:ddea:4188:ffff:ffff:ffff |
| 138 | fe80:c25b:dd:ddea:4189::/80 | fe80:c25b:dd:ddea:4189:ffff:ffff:ffff |
| 139 | fe80:c25b:dd:ddea:418a::/80 | fe80:c25b:dd:ddea:418a:ffff:ffff:ffff |
| 140 | fe80:c25b:dd:ddea:418b::/80 | fe80:c25b:dd:ddea:418b:ffff:ffff:ffff |
| 141 | fe80:c25b:dd:ddea:418c::/80 | fe80:c25b:dd:ddea:418c:ffff:ffff:ffff |
| 142 | fe80:c25b:dd:ddea:418d::/80 | fe80:c25b:dd:ddea:418d:ffff:ffff:ffff |
| 143 | fe80:c25b:dd:ddea:418e::/80 | fe80:c25b:dd:ddea:418e:ffff:ffff:ffff |
| 144 | fe80:c25b:dd:ddea:418f::/80 | fe80:c25b:dd:ddea:418f:ffff:ffff:ffff |
| 145 | fe80:c25b:dd:ddea:4190::/80 | fe80:c25b:dd:ddea:4190:ffff:ffff:ffff |
| 146 | fe80:c25b:dd:ddea:4191::/80 | fe80:c25b:dd:ddea:4191:ffff:ffff:ffff |
| 147 | fe80:c25b:dd:ddea:4192::/80 | fe80:c25b:dd:ddea:4192:ffff:ffff:ffff |
| 148 | fe80:c25b:dd:ddea:4193::/80 | fe80:c25b:dd:ddea:4193:ffff:ffff:ffff |
| 149 | fe80:c25b:dd:ddea:4194::/80 | fe80:c25b:dd:ddea:4194:ffff:ffff:ffff |
| 150 | fe80:c25b:dd:ddea:4195::/80 | fe80:c25b:dd:ddea:4195:ffff:ffff:ffff |
| 151 | fe80:c25b:dd:ddea:4196::/80 | fe80:c25b:dd:ddea:4196:ffff:ffff:ffff |
| 152 | fe80:c25b:dd:ddea:4197::/80 | fe80:c25b:dd:ddea:4197:ffff:ffff:ffff |
| 153 | fe80:c25b:dd:ddea:4198::/80 | fe80:c25b:dd:ddea:4198:ffff:ffff:ffff |
| 154 | fe80:c25b:dd:ddea:4199::/80 | fe80:c25b:dd:ddea:4199:ffff:ffff:ffff |
| 155 | fe80:c25b:dd:ddea:419a::/80 | fe80:c25b:dd:ddea:419a:ffff:ffff:ffff |
| 156 | fe80:c25b:dd:ddea:419b::/80 | fe80:c25b:dd:ddea:419b:ffff:ffff:ffff |
| 157 | fe80:c25b:dd:ddea:419c::/80 | fe80:c25b:dd:ddea:419c:ffff:ffff:ffff |
| 158 | fe80:c25b:dd:ddea:419d::/80 | fe80:c25b:dd:ddea:419d:ffff:ffff:ffff |
| 159 | fe80:c25b:dd:ddea:419e::/80 | fe80:c25b:dd:ddea:419e:ffff:ffff:ffff |
| 160 | fe80:c25b:dd:ddea:419f::/80 | fe80:c25b:dd:ddea:419f:ffff:ffff:ffff |
| 161 | fe80:c25b:dd:ddea:41a0::/80 | fe80:c25b:dd:ddea:41a0:ffff:ffff:ffff |
| 162 | fe80:c25b:dd:ddea:41a1::/80 | fe80:c25b:dd:ddea:41a1:ffff:ffff:ffff |
| 163 | fe80:c25b:dd:ddea:41a2::/80 | fe80:c25b:dd:ddea:41a2:ffff:ffff:ffff |
| 164 | fe80:c25b:dd:ddea:41a3::/80 | fe80:c25b:dd:ddea:41a3:ffff:ffff:ffff |
| 165 | fe80:c25b:dd:ddea:41a4::/80 | fe80:c25b:dd:ddea:41a4:ffff:ffff:ffff |
| 166 | fe80:c25b:dd:ddea:41a5::/80 | fe80:c25b:dd:ddea:41a5:ffff:ffff:ffff |
| 167 | fe80:c25b:dd:ddea:41a6::/80 | fe80:c25b:dd:ddea:41a6:ffff:ffff:ffff |
| 168 | fe80:c25b:dd:ddea:41a7::/80 | fe80:c25b:dd:ddea:41a7:ffff:ffff:ffff |
| 169 | fe80:c25b:dd:ddea:41a8::/80 | fe80:c25b:dd:ddea:41a8:ffff:ffff:ffff |
| 170 | fe80:c25b:dd:ddea:41a9::/80 | fe80:c25b:dd:ddea:41a9:ffff:ffff:ffff |
| 171 | fe80:c25b:dd:ddea:41aa::/80 | fe80:c25b:dd:ddea:41aa:ffff:ffff:ffff |
| 172 | fe80:c25b:dd:ddea:41ab::/80 | fe80:c25b:dd:ddea:41ab:ffff:ffff:ffff |
| 173 | fe80:c25b:dd:ddea:41ac::/80 | fe80:c25b:dd:ddea:41ac:ffff:ffff:ffff |
| 174 | fe80:c25b:dd:ddea:41ad::/80 | fe80:c25b:dd:ddea:41ad:ffff:ffff:ffff |
| 175 | fe80:c25b:dd:ddea:41ae::/80 | fe80:c25b:dd:ddea:41ae:ffff:ffff:ffff |
| 176 | fe80:c25b:dd:ddea:41af::/80 | fe80:c25b:dd:ddea:41af:ffff:ffff:ffff |
| 177 | fe80:c25b:dd:ddea:41b0::/80 | fe80:c25b:dd:ddea:41b0:ffff:ffff:ffff |
| 178 | fe80:c25b:dd:ddea:41b1::/80 | fe80:c25b:dd:ddea:41b1:ffff:ffff:ffff |
| 179 | fe80:c25b:dd:ddea:41b2::/80 | fe80:c25b:dd:ddea:41b2:ffff:ffff:ffff |
| 180 | fe80:c25b:dd:ddea:41b3::/80 | fe80:c25b:dd:ddea:41b3:ffff:ffff:ffff |
| 181 | fe80:c25b:dd:ddea:41b4::/80 | fe80:c25b:dd:ddea:41b4:ffff:ffff:ffff |
| 182 | fe80:c25b:dd:ddea:41b5::/80 | fe80:c25b:dd:ddea:41b5:ffff:ffff:ffff |
| 183 | fe80:c25b:dd:ddea:41b6::/80 | fe80:c25b:dd:ddea:41b6:ffff:ffff:ffff |
| 184 | fe80:c25b:dd:ddea:41b7::/80 | fe80:c25b:dd:ddea:41b7:ffff:ffff:ffff |
| 185 | fe80:c25b:dd:ddea:41b8::/80 | fe80:c25b:dd:ddea:41b8:ffff:ffff:ffff |
| 186 | fe80:c25b:dd:ddea:41b9::/80 | fe80:c25b:dd:ddea:41b9:ffff:ffff:ffff |
| 187 | fe80:c25b:dd:ddea:41ba::/80 | fe80:c25b:dd:ddea:41ba:ffff:ffff:ffff |
| 188 | fe80:c25b:dd:ddea:41bb::/80 | fe80:c25b:dd:ddea:41bb:ffff:ffff:ffff |
| 189 | fe80:c25b:dd:ddea:41bc::/80 | fe80:c25b:dd:ddea:41bc:ffff:ffff:ffff |
| 190 | fe80:c25b:dd:ddea:41bd::/80 | fe80:c25b:dd:ddea:41bd:ffff:ffff:ffff |
| 191 | fe80:c25b:dd:ddea:41be::/80 | fe80:c25b:dd:ddea:41be:ffff:ffff:ffff |
| 192 | fe80:c25b:dd:ddea:41bf::/80 | fe80:c25b:dd:ddea:41bf:ffff:ffff:ffff |
| 193 | fe80:c25b:dd:ddea:41c0::/80 | fe80:c25b:dd:ddea:41c0:ffff:ffff:ffff |
| 194 | fe80:c25b:dd:ddea:41c1::/80 | fe80:c25b:dd:ddea:41c1:ffff:ffff:ffff |
| 195 | fe80:c25b:dd:ddea:41c2::/80 | fe80:c25b:dd:ddea:41c2:ffff:ffff:ffff |
| 196 | fe80:c25b:dd:ddea:41c3::/80 | fe80:c25b:dd:ddea:41c3:ffff:ffff:ffff |
| 197 | fe80:c25b:dd:ddea:41c4::/80 | fe80:c25b:dd:ddea:41c4:ffff:ffff:ffff |
| 198 | fe80:c25b:dd:ddea:41c5::/80 | fe80:c25b:dd:ddea:41c5:ffff:ffff:ffff |
| 199 | fe80:c25b:dd:ddea:41c6::/80 | fe80:c25b:dd:ddea:41c6:ffff:ffff:ffff |
| 200 | fe80:c25b:dd:ddea:41c7::/80 | fe80:c25b:dd:ddea:41c7:ffff:ffff:ffff |
| 201 | fe80:c25b:dd:ddea:41c8::/80 | fe80:c25b:dd:ddea:41c8:ffff:ffff:ffff |
| 202 | fe80:c25b:dd:ddea:41c9::/80 | fe80:c25b:dd:ddea:41c9:ffff:ffff:ffff |
| 203 | fe80:c25b:dd:ddea:41ca::/80 | fe80:c25b:dd:ddea:41ca:ffff:ffff:ffff |
| 204 | fe80:c25b:dd:ddea:41cb::/80 | fe80:c25b:dd:ddea:41cb:ffff:ffff:ffff |
| 205 | fe80:c25b:dd:ddea:41cc::/80 | fe80:c25b:dd:ddea:41cc:ffff:ffff:ffff |
| 206 | fe80:c25b:dd:ddea:41cd::/80 | fe80:c25b:dd:ddea:41cd:ffff:ffff:ffff |
| 207 | fe80:c25b:dd:ddea:41ce::/80 | fe80:c25b:dd:ddea:41ce:ffff:ffff:ffff |
| 208 | fe80:c25b:dd:ddea:41cf::/80 | fe80:c25b:dd:ddea:41cf:ffff:ffff:ffff |
| 209 | fe80:c25b:dd:ddea:41d0::/80 | fe80:c25b:dd:ddea:41d0:ffff:ffff:ffff |
| 210 | fe80:c25b:dd:ddea:41d1::/80 | fe80:c25b:dd:ddea:41d1:ffff:ffff:ffff |
| 211 | fe80:c25b:dd:ddea:41d2::/80 | fe80:c25b:dd:ddea:41d2:ffff:ffff:ffff |
| 212 | fe80:c25b:dd:ddea:41d3::/80 | fe80:c25b:dd:ddea:41d3:ffff:ffff:ffff |
| 213 | fe80:c25b:dd:ddea:41d4::/80 | fe80:c25b:dd:ddea:41d4:ffff:ffff:ffff |
| 214 | fe80:c25b:dd:ddea:41d5::/80 | fe80:c25b:dd:ddea:41d5:ffff:ffff:ffff |
| 215 | fe80:c25b:dd:ddea:41d6::/80 | fe80:c25b:dd:ddea:41d6:ffff:ffff:ffff |
| 216 | fe80:c25b:dd:ddea:41d7::/80 | fe80:c25b:dd:ddea:41d7:ffff:ffff:ffff |
| 217 | fe80:c25b:dd:ddea:41d8::/80 | fe80:c25b:dd:ddea:41d8:ffff:ffff:ffff |
| 218 | fe80:c25b:dd:ddea:41d9::/80 | fe80:c25b:dd:ddea:41d9:ffff:ffff:ffff |
| 219 | fe80:c25b:dd:ddea:41da::/80 | fe80:c25b:dd:ddea:41da:ffff:ffff:ffff |
| 220 | fe80:c25b:dd:ddea:41db::/80 | fe80:c25b:dd:ddea:41db:ffff:ffff:ffff |
| 221 | fe80:c25b:dd:ddea:41dc::/80 | fe80:c25b:dd:ddea:41dc:ffff:ffff:ffff |
| 222 | fe80:c25b:dd:ddea:41dd::/80 | fe80:c25b:dd:ddea:41dd:ffff:ffff:ffff |
| 223 | fe80:c25b:dd:ddea:41de::/80 | fe80:c25b:dd:ddea:41de:ffff:ffff:ffff |
| 224 | fe80:c25b:dd:ddea:41df::/80 | fe80:c25b:dd:ddea:41df:ffff:ffff:ffff |
| 225 | fe80:c25b:dd:ddea:41e0::/80 | fe80:c25b:dd:ddea:41e0:ffff:ffff:ffff |
| 226 | fe80:c25b:dd:ddea:41e1::/80 | fe80:c25b:dd:ddea:41e1:ffff:ffff:ffff |
| 227 | fe80:c25b:dd:ddea:41e2::/80 | fe80:c25b:dd:ddea:41e2:ffff:ffff:ffff |
| 228 | fe80:c25b:dd:ddea:41e3::/80 | fe80:c25b:dd:ddea:41e3:ffff:ffff:ffff |
| 229 | fe80:c25b:dd:ddea:41e4::/80 | fe80:c25b:dd:ddea:41e4:ffff:ffff:ffff |
| 230 | fe80:c25b:dd:ddea:41e5::/80 | fe80:c25b:dd:ddea:41e5:ffff:ffff:ffff |
| 231 | fe80:c25b:dd:ddea:41e6::/80 | fe80:c25b:dd:ddea:41e6:ffff:ffff:ffff |
| 232 | fe80:c25b:dd:ddea:41e7::/80 | fe80:c25b:dd:ddea:41e7:ffff:ffff:ffff |
| 233 | fe80:c25b:dd:ddea:41e8::/80 | fe80:c25b:dd:ddea:41e8:ffff:ffff:ffff |
| 234 | fe80:c25b:dd:ddea:41e9::/80 | fe80:c25b:dd:ddea:41e9:ffff:ffff:ffff |
| 235 | fe80:c25b:dd:ddea:41ea::/80 | fe80:c25b:dd:ddea:41ea:ffff:ffff:ffff |
| 236 | fe80:c25b:dd:ddea:41eb::/80 | fe80:c25b:dd:ddea:41eb:ffff:ffff:ffff |
| 237 | fe80:c25b:dd:ddea:41ec::/80 | fe80:c25b:dd:ddea:41ec:ffff:ffff:ffff |
| 238 | fe80:c25b:dd:ddea:41ed::/80 | fe80:c25b:dd:ddea:41ed:ffff:ffff:ffff |
| 239 | fe80:c25b:dd:ddea:41ee::/80 | fe80:c25b:dd:ddea:41ee:ffff:ffff:ffff |
| 240 | fe80:c25b:dd:ddea:41ef::/80 | fe80:c25b:dd:ddea:41ef:ffff:ffff:ffff |
| 241 | fe80:c25b:dd:ddea:41f0::/80 | fe80:c25b:dd:ddea:41f0:ffff:ffff:ffff |
| 242 | fe80:c25b:dd:ddea:41f1::/80 | fe80:c25b:dd:ddea:41f1:ffff:ffff:ffff |
| 243 | fe80:c25b:dd:ddea:41f2::/80 | fe80:c25b:dd:ddea:41f2:ffff:ffff:ffff |
| 244 | fe80:c25b:dd:ddea:41f3::/80 | fe80:c25b:dd:ddea:41f3:ffff:ffff:ffff |
| 245 | fe80:c25b:dd:ddea:41f4::/80 | fe80:c25b:dd:ddea:41f4:ffff:ffff:ffff |
| 246 | fe80:c25b:dd:ddea:41f5::/80 | fe80:c25b:dd:ddea:41f5:ffff:ffff:ffff |
| 247 | fe80:c25b:dd:ddea:41f6::/80 | fe80:c25b:dd:ddea:41f6:ffff:ffff:ffff |
| 248 | fe80:c25b:dd:ddea:41f7::/80 | fe80:c25b:dd:ddea:41f7:ffff:ffff:ffff |
| 249 | fe80:c25b:dd:ddea:41f8::/80 | fe80:c25b:dd:ddea:41f8:ffff:ffff:ffff |
| 250 | fe80:c25b:dd:ddea:41f9::/80 | fe80:c25b:dd:ddea:41f9:ffff:ffff:ffff |
| 251 | fe80:c25b:dd:ddea:41fa::/80 | fe80:c25b:dd:ddea:41fa:ffff:ffff:ffff |
| 252 | fe80:c25b:dd:ddea:41fb::/80 | fe80:c25b:dd:ddea:41fb:ffff:ffff:ffff |
| 253 | fe80:c25b:dd:ddea:41fc::/80 | fe80:c25b:dd:ddea:41fc:ffff:ffff:ffff |
| 254 | fe80:c25b:dd:ddea:41fd::/80 | fe80:c25b:dd:ddea:41fd:ffff:ffff:ffff |
| 255 | fe80:c25b:dd:ddea:41fe::/80 | fe80:c25b:dd:ddea:41fe:ffff:ffff:ffff |
| 256 | fe80:c25b:dd:ddea:41ff::/80 | fe80:c25b:dd:ddea:41ff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |